io.vertx.groovy.core.shareddata

## Class AsyncMap_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.shareddata.AsyncMap_GroovyExtension

-     public class AsyncMap_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncMap_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `get(AsyncMap j_receiver, Object k, Handler<AsyncResult<Object>> resultHandler)`
    `static void` | `put(AsyncMap j_receiver, Object k, Object v, Handler<AsyncResult<Void>> completionHandler)`
    `static void` | `put(AsyncMap j_receiver, Object k, Object v, long ttl, Handler<AsyncResult<Void>> completionHandler)`
    `static void` | `putIfAbsent(AsyncMap j_receiver, Object k, Object v, Handler<AsyncResult<Object>> completionHandler)`
    `static void` | `putIfAbsent(AsyncMap j_receiver, Object k, Object v, long ttl, Handler<AsyncResult<Object>> completionHandler)`
    `static void` | `remove(AsyncMap j_receiver, Object k, Handler<AsyncResult<Object>> resultHandler)`
    `static void` | `removeIfPresent(AsyncMap j_receiver, Object k, Object v, Handler<AsyncResult<Boolean>> resultHandler)`
    `static void` | `replace(AsyncMap j_receiver, Object k, Object v, Handler<AsyncResult<Object>> resultHandler)`
    `static void` | `replaceIfPresent(AsyncMap j_receiver, Object k, Object oldValue, Object newValue, Handler<AsyncResult<Boolean>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncMap_GroovyExtension

          public AsyncMap_GroovyExtension()

  - ### Method Detail

    - #### get

          public static void get(AsyncMap j_receiver,
                                 Object k,
                                 Handler<AsyncResult<Object>> resultHandler)

    - #### put

          public static void put(AsyncMap j_receiver,
                                 Object k,
                                 Object v,
                                 Handler<AsyncResult<Void>> completionHandler)

    - #### put

          public static void put(AsyncMap j_receiver,
                                 Object k,
                                 Object v,
                                 long ttl,
                                 Handler<AsyncResult<Void>> completionHandler)

    - #### putIfAbsent

          public static void putIfAbsent(AsyncMap j_receiver,
                                         Object k,
                                         Object v,
                                         Handler<AsyncResult<Object>> completionHandler)

    - #### putIfAbsent

          public static void putIfAbsent(AsyncMap j_receiver,
                                         Object k,
                                         Object v,
                                         long ttl,
                                         Handler<AsyncResult<Object>> completionHandler)

    - #### remove

          public static void remove(AsyncMap j_receiver,
                                    Object k,
                                    Handler<AsyncResult<Object>> resultHandler)

    - #### removeIfPresent

          public static void removeIfPresent(AsyncMap j_receiver,
                                             Object k,
                                             Object v,
                                             Handler<AsyncResult<Boolean>> resultHandler)

    - #### replace

          public static void replace(AsyncMap j_receiver,
                                     Object k,
                                     Object v,
                                     Handler<AsyncResult<Object>> resultHandler)

    - #### replaceIfPresent

          public static void replaceIfPresent(AsyncMap j_receiver,
                                              Object k,
                                              Object oldValue,
                                              Object newValue,
                                              Handler<AsyncResult<Boolean>> resultHandler)

Copyright © 2017. All rights reserved.